<?php
/**
 * Example PHP Code for issuing a query.
 * By: VinAudit.com LLC (support@vinaudit.com)
 *
 * Documentation: http://www.vinaudit.com/api-documentation
 *
 * Please update $API_USER, $API_PASS, $API_KEY, and $API_MODE below
 *
 * Example: Query Test VIN 1GNSKHE34BR150574 (with $API_MODE = 'test')
 * 
 * $vin = '1GNSKHE34BR150574';
 * $queryResult = VinAudit::query($vin);
 * if ($queryResult->success) {
 *    $reportResult = VinAudit::pullReport($queryResult->id, $vin);
 *    print_r($reportResult);
 * }
 *
 */
require('vinaudit.php');
?>

<form action="vinaudit_query_example.php" method="get">
<input type="text" name="vin" value="1GNSKHE34BR150574">
<input type="submit" value="Query VIN">
</form>

<?php
if (isset($_GET['vin'])) {
  print '<hr>';
  $vin = $_GET['vin'];
  $queryResult = VinAudit::query($vin);
  if ($queryResult->success) {
    foreach ($queryResult->attributes as $k => $v) {
      print $k . ': ' . $v . '<br>';
    }
  }
}

?>