<?php
/**
 * Example PHP Code for issuing a query.
 * By: VinAudit.com LLC (support@vinaudit.com)
 *
 * Documentation: http://www.vinaudit.com/api-documentation
 *
 */
set_time_limit(120);
require('vinaudit.php');
?>

<form action="vinaudit_save_pdf_example.php" method="post">
<input type="text" name="vin" value="1FTCF15N5HLA06926">
<input type="submit" value="Save Report PDF">
</form>

<?php
if (isset($_POST['vin'])) {
  print '<hr>';
  $vin = $_POST['vin'];
  $queryResult = VinAudit::query($vin);
  if ($queryResult->success) {
    $id = $queryResult->id;
    $fileName = $vin . '.pdf';
    print 'Query success! ID: ' . $id . '<br>';
    if (VinAudit::saveReportPdf($id, $vin, $fileName)) {
      print 'Saved: <a href="' . $fileName . '">' . $fileName . '</a>';
    } else {
      print 'Save PDF failed.';
    }
  } else {
    print 'Query failed...';
    print_r($queryResult);
  }
}

?>